com.android.agf.asynctask

## Class LoadingCDA

- java.lang.Object
- - android.os.AsyncTask<String,Void,String>
  - - com.android.agf.asynctask.LoadingCDA

- Direct Known Subclasses:
    ComponentWebViewFragment.MyLoadCDA, DashboardWebViewFragment.LoadCDA

      public class LoadingCDA
      extends AsyncTask<String,Void,String>

  classe que implementa una Asynctask per obtenir les dades CDA
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CDAData` | `mCda`
    `protected DashComponent` | `mDashComponent`
    `protected int` | `mId`
    `protected int` | `mSortida`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadingCDA(Context ctx, int id, DashComponent comp, PentahoConnection pentaho, PentahoServerSettings server, UserSettings auth)` Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `doInBackground(String... urls)`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPostExecute, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mSortida

          protected int mSortida

    - #### mId

          protected int mId

    - #### mCda

          protected CDAData mCda

    - #### mDashComponent

          protected DashComponent mDashComponent

  - ### Constructor Detail

    - #### LoadingCDA

          public LoadingCDA(Context ctx,
                    int id,
                    DashComponent comp,
                    PentahoConnection pentaho,
                    PentahoServerSettings server,
                    UserSettings auth)

      Constructor
      Parameters:
        `ctx` -
        `id` -
        `comp` -
        `pentaho` -
        `server` -
        `auth` -

  - ### Method Detail

    - #### doInBackground

          protected String doInBackground(String... urls)

      Specified by:
        `doInBackground` in class `AsyncTask<String,Void,String>`